osl::PtypeTraits< PROOK > Struct Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions

static const char * | name ()
static const char * | csaName ()

## Static Public Attributes

static const bool | isBasic =false
static const bool | canPromote =false
static const bool | betterToPromote =true
static const Ptype | moveType =PROOK
static const int | moveMask
static const Ptype | basicType =ROOK
static const int | indexMin =PtypeTraits<basicType>::indexMin

## Detailed Description

Definition at line 249 of file ptypeTraits.h.

## Member Function Documentation

## csaName()

const char * osl::PtypeTraits< PROOK >::csaName | ( |  | ) |

inline static

Definition at line 257 of file ptypeTraits.h.

## name()

const char * osl::PtypeTraits< PROOK >::name | ( |  | ) |

inline static

Definition at line 256 of file ptypeTraits.h.

## Member Data Documentation

## basicType

const Ptype osl::PtypeTraits< PROOK >::basicType =ROOK

static

Definition at line 263 of file ptypeTraits.h.

## betterToPromote

const bool osl::PtypeTraits< PROOK >::betterToPromote =true

static

Definition at line 254 of file ptypeTraits.h.

## canPromote

const bool osl::PtypeTraits< PROOK >::canPromote =false

static

Definition at line 252 of file ptypeTraits.h.

## indexMin

const int osl::PtypeTraits< PROOK >::indexMin =PtypeTraits<basicType>::indexMin

static

Definition at line 264 of file ptypeTraits.h.

## isBasic

const bool osl::PtypeTraits< PROOK >::isBasic =false

static

Definition at line 251 of file ptypeTraits.h.

## moveMask

const int osl::PtypeTraits< PROOK >::moveMask

static

Initial value:
=
DirectionTraits<LONG_U>::mask|DirectionTraits<LONG_L>::mask
|DirectionTraits<LONG_R>::mask|DirectionTraits<LONG_D>::mask
|DirectionTraits<UL>::mask|DirectionTraits<UR>::mask
|DirectionTraits<DL>::mask|DirectionTraits<DR>::mask
osl::DirectionTraits::mask
static const unsigned int mask
Definition directionTraits.h:227

Definition at line 258 of file ptypeTraits.h.

## moveType

const Ptype osl::PtypeTraits< PROOK >::moveType =PROOK

static

Definition at line 255 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h